Value Bets
Get Value Bets
Returns value bets for a specific bookmaker with optional match info. Updated every 5 seconds.
GET
/
value-bets
Get Value Bets
curl --request GET \
--url https://api.odds-api.io/v3/value-betsimport requests
url = "https://api.odds-api.io/v3/value-bets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.odds-api.io/v3/value-bets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"betSide": "<string>",
"bookmaker": "<string>",
"bookmakerOdds": {
"away": "<string>",
"awayDirectLink": "<string>",
"draw": "<string>",
"drawDirectLink": "<string>",
"hdp": "<string>",
"home": "<string>",
"homeDirectLink": "<string>",
"href": "<string>"
},
"event": {
"away": "<string>",
"date": "<string>",
"home": "<string>",
"league": "<string>",
"sport": "<string>"
},
"eventId": 123,
"expectedValue": 123,
"expectedValueUpdatedAt": "<string>",
"id": "<string>",
"market": {
"away": "<string>",
"draw": "<string>",
"hdp": 123,
"home": "<string>",
"max": 123,
"name": "<string>"
}
}
]{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}Query Parameters
API key for authentication
Bookmaker name (e.g. Bet365)
Filter by sport slug (e.g. baseball). Optional.
Filter by league slug (e.g. usa-mlb). Requires sport to also be set.
Include event details
Previous
WebSocket APIConnect to Odds-API.io WebSocket for instant odds updates. Subscribe to events and receive live betting odds changes with sub-second latency.
Next
⌘I
Get Value Bets
